Skip to main content
GET
/
assets
Returns list of assets for a given customer
curl --request GET \
  --url https://api.pipevest.com/v1/assets \
  --header 'Authorization: Bearer <token>' \
  --header 'Signature: <signature>' \
  --header 'Signature-Input: <signature-input>' \
  --header 'X-Client-Id: <x-client-id>'
import requests

url = "https://api.pipevest.com/v1/assets"

headers = {
    "Signature": "<signature>",
    "Signature-Input": "<signature-input>",
    "X-Client-Id": "<x-client-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {
    Signature: '<signature>',
    'Signature-Input': '<signature-input>',
    'X-Client-Id': '<x-client-id>',
    Authorization: 'Bearer <token>'
  }
};

fetch('https://api.pipevest.com/v1/assets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "assetId": 123456,
      "instrumentId": 123456,
      "customerId": 123456,
      "name": "Apple Inc.",
      "symbol": "APPL",
      "investmentAmount": 1550,
      "position": 10,
      "locked": 5,
      "available": 5,
      "purchasePrice": 500,
      "marketPrice": 550,
      "createdAt": 1234567890,
      "updatedAt": 1234567890,
      "currency": "ZK"
    }
  ],
  "code": 200,
  "message": "Success",
  "meta": {
    "previousPage": 0,
    "currentPage": 0,
    "nextPage": 0,
    "limit": 100,
    "currentCount": 100,
    "totalCount": 1000,
    "sort": "ASC"
  }
}
{
  "code": 401,
  "message": "Unauthorized"
}
{
  "code": 404,
  "message": "Not Found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Signature
string
required

Base64 encoded signed hash of the http message request components.

Learn how signatures work

Example:

"sig1=:OTEyMjY4...A5NTNDMEQ=:"

Signature-Input
string
required

An ordered list of components that make up the signature base. It is used to recompute and verify the Signature

Learn how signatures work

Example:

"sig1=(\"Content-Type\" \"Content-Digest\"...expires=<expires>"

X-Client-Id
string
required

Unique identifier assigned to the client

Example:

"client-id"

Query Parameters

customerId
integer
required

Unique customer identifier

Example:

123456

accountId
integer

filter by accountId Unique account identifier

Example:

123456

portfolioId
integer

filter by portfolioId Unique portfolio identifier

Example:

123456

page
integer

The page offset for the items returned

Required range: x >= 0
Example:

0

limit
integer
default:100

The maximum numbers of items to return.

Required range: 1 <= x <= 1000
Example:

100

sort
enum<string>

The date order in which to sort the items

This currently only works to sort createdAt.

Available options:
ASC,
DESC
Example:

"ASC"

Response

A JSON array of customer assets

data
object[]
required
code
string
required

Request response code

Example:

200

message
string
required

Request response message

Example:

"Success"

meta
object
required